<?php
/**
 * Notices.
 *
 * @package MadeByAura\Prime\Customizer\Hooks
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Customizer\Hooks;

defined( 'ABSPATH' ) || die();

use MadeByAura\Prime\Helpers\SingletonTrait;

/**
 * Notices.
 */
class Notices {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Dashboard: Hide notices.
		add_action( 'admin_head', [ __CLASS__, 'hide_admin_notices' ] );
	}

	/**
	 * Dashboard: Hide notices.
	 */
	public static function hide_admin_notices(): void {
		?>
		<style>
			.kirki-discount-notice {
				display: none !important;
			}
		</style>
		<?php
	}
}
